Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002731 [JEDI VCL] 00 JVCL Components trivial always 2005-03-09 10:10 2005-04-12 00:36
Reporter Simes View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002731: TJvPopUpMenu doesn't show images from associated TImageList at design time
Description Design time problem only. Images are correctly shown for menu item at run time.

TJvPopUpMenu doesn't show the images from an associated TImageList when selecting the ImageIndex for a menu item.

When choosing the ImageIndex for a menu item, it's usual to be able to see the images (like TJvMainMenu does) but TJvPopUpMenu doesn't do this.
Additional Information
Tags No tags attached.
Attached Files zip file icon Mantis2731.zip [^] (2,413 bytes) 2005-03-09 10:11

- Relationships
has duplicate 0002912resolvedobones No image index list on TJvPopupMenu 

-  Notes
(0006662)
Simes (reporter)
2005-03-09 10:12

Occurs on Delphi 7 Enterprise under Win2K Pro
(0006672)
user72
2005-03-10 06:40

The difference is that at design-time, you can look at the "real" menuitems from a mainmenu by clicking on the menu bar of your form.

The popupmenu, however, can only be displayed using Delphis Menu Editor which doesn't support showing images (it doesn't display images for mainmenus either).

It's a shortcoming of the component editor, not of the JvPopupMenu component.
(0006673)
Simes (reporter)
2005-03-10 08:32

I'm sorry, my post wasn't clear. I mean the image shown in the drop down list displayed by the Object Inspector when selecting the ImageIndex for a menu item on the menu. (When the menu has a TImageList assigned to the Images property.)

TMainMenu, TPopupMenu and TJvMainMenu all display images in this drop down list. The only one that doesn't is TJvPopupMenu.
(0006676)
user72
2005-03-10 12:47

Ah, different matter.
(0006902)
obones (administrator)
2005-04-12 00:36

This is now fixed in CVS.
The solution is to add

inherited Images := Value;

at the end of the SetImages function of TJvPopupMenu, just like it was already done in TJvMainMenu.

- Issue History
Date Modified Username Field Change
2005-03-09 10:10 Simes New Issue
2005-03-09 10:11 Simes File Added: Mantis2731.zip
2005-03-09 10:12 Simes Note Added: 0006662
2005-03-10 06:40 user72 Note Added: 0006672
2005-03-10 08:32 Simes Note Added: 0006673
2005-03-10 12:47 user72 Note Added: 0006676
2005-03-31 08:20 obones Status new => assigned
2005-03-31 08:20 obones Assigned To => obones
2005-04-12 00:36 obones Status assigned => resolved
2005-04-12 00:36 obones Resolution open => fixed
2005-04-12 00:36 obones Note Added: 0006902
2005-04-26 07:44 obones Relationship added has duplicate 0002912


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker